﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfDataGridDemo
{
    public class Model : NotificationObject
    {
       int orderID;
       string customerId;
       string country;
       string customerName;
       string shippingCity;
        private decimal _orderValue;

        public int OrderID
       {
           get 
           { 
               return orderID; 
           }
           set 
           { 
               orderID = value;
               RaisePropertyChanged("OrderID");
           }
       }

       public string CustomerID
       {
           get 
           { 
               return customerId; 
           }
           set 
           { 
               customerId = value;
               RaisePropertyChanged("CustomerID");
           }
       }

       public string CustomerName
       {
           get 
           { 
               return customerName; 
           }
           set 
           { 
               customerName = value;
               RaisePropertyChanged("CustomerName");
           }
       }

       public string Country
       {
           get 
           { 
               return country; 
           }
           set 
           { 
               country = value;
               RaisePropertyChanged("Country");
           }
       }

       public string ShipCity
       {
           get 
           { 
               return shippingCity; 
           }
           set 
           { 
               shippingCity = value;
               RaisePropertyChanged("ShipCity");
           }
       }

        public decimal OrderValue
        {
            get { return _orderValue; }
            set
            {
                _orderValue = value;
                RaisePropertyChanged("OrderValue");
            }
        }

        //consider any IEnumerable implementation in the Model
        private List<decimal> _orderValues;
        public List<decimal> OrderValues
        {
            get
            {
                return _orderValues;
            }
            set
            {
                _orderValues = value;
                RaisePropertyChanged("OrderValues");
            }
        }
        //added this requirement to the constructor
       public Model(int orderId, string customerName, string country, string customerId, string shipCity, List<decimal> orderValues)
       {
           this.OrderID = orderId;
           this.CustomerName = customerName;
           this.Country = country;
           this.CustomerID = customerId;
           this.ShipCity = shipCity;
           this.OrderValues = orderValues;        
       }
    }
}
